#
# Conditional build:
%bcond_without	mp4v2		# mp4v2 support

%define		major	0.5
Summary:	The MusicBrainz tagging library
Summary(pl.UTF-8):	Biblioteka znakowania MusicBrainz
Name:		libtunepimp
Version:	%{major}.3
Release:	22
License:	GPL v2+
Group:		Libraries
Source0:	http://ftp.musicbrainz.org/pub/musicbrainz/historical/%{name}-%{version}.tar.gz
# Source0-md5:	09649f983acef679a548344ba7a9bb2f
Patch0:		%{name}-ltdl.patch
Patch1:		%{name}-mp4v2.patch
Patch2:		%{name}-gcc43.patch
Patch3:		gcc44.patch
URL:		https://wiki.musicbrainz.org/libtunepimp
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	flac-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmad-devel
BuildRequires:	libmusicbrainz-devel >= 2.1.0
BuildRequires:	libofa-devel >= 0.4.0
BuildRequires:	libstdc++-devel >= 2:1.4d
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
%{?with_mp4v2:BuildRequires:	mp4v2-devel}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	taglib-devel >= 1.4
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MusicBrainz tagging library.

%description -l pl.UTF-8
Biblioteka znakowania MusicBrainz.

%package devel
Summary:	Header files for libtunepimp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libtunepimp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	expat-devel
Requires:	libltdl-devel
Requires:	libmusicbrainz-devel >= 2.1.0
Requires:	libofa-devel >= 0.4.0
Requires:	libstdc++-devel >= 2:1.4d

%description devel
Header files for libtunepimp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libtunepimp.

%package static
Summary:	Static libtunepimp library
Summary(pl.UTF-8):	Statyczna biblioteka libtunepimp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libtunepimp library.

%description static -l pl.UTF-8
Statyczna biblioteka libtunepimp.

%package -n python-tunepimp
Summary:	Python bindings for libtunepimp library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libtunepimp
Group:		Libraries/Python
%pyrequires_eq	python-libs
Requires:	%{name} = %{version}-%{release}

%description -n python-tunepimp
Python bindings for libtunepimp library.

%description -n python-tunepimp -l pl.UTF-8
Wiązania Pythona do biblioteki libtunepimp.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch1 -p1

%{__sed} -i 's/ -O2//' configure.in
%{__sed} -i 's/lt_dlhandle_struct \*/lt_dlhandle/' lib/plugins.cpp
%{__sed} -i -e '1s,/usr/bin/env python,%{__python},' python/examples/trm.py

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_mp4v2:ac_cv_lib_mp4v2_MP4Read=false} \
	--disable-ltdl-install

%{__make}

# perl bindings are not updated to current API
#cd perl/tunepimp-perl
#%{__perl} Makefile.PL \
#	OPTIMIZE="%{rpmcflags}"
#%{__make}
# cd ../..

cd python
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not installed, but used by installed headers (track.h, tunepimp.h)
install lib/threads/posix/mutex.h \
	lib/{analyzer,filecache,plugins,readmeta,write}.h \
	include/tunepimp-*/metadata.h \
	$RPM_BUILD_ROOT%{_includedir}/tunepimp-%{major}

#cd perl/tunepimp-perl
#%{__make} install \
#	DESTDIR=$RPM_BUILD_ROOT
#install -D examples/tp_tagger.pl $RPM_BUILD_ROOT%{_bindir}/tp_tagger
# cd ../..

cd python
%py_install
%py_postclean
install -Dp examples/trm.py $RPM_BUILD_ROOT%{_bindir}/trm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.LGPL TODO
%attr(755,root,root) %{_bindir}/puid
%attr(755,root,root) %{_libdir}/libtunepimp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtunepimp.so.5
%dir %{_libdir}/tunepimp
%dir %{_libdir}/tunepimp/plugins
%attr(755,root,root) %{_libdir}/tunepimp/plugins/*.tpp

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtunepimp.so
%{_libdir}/libtunepimp.la
%{_includedir}/tunepimp-%{major}

%files static
%defattr(644,root,root,755)
%{_libdir}/libtunepimp.a

%files -n python-tunepimp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/trm
%dir %{py_sitescriptdir}/tunepimp
%{py_sitescriptdir}/tunepimp/*.py[co]
%{py_sitescriptdir}/tunepimp-%{version}-py*.egg-info
%changelog
* Sun Sep 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtunepimp.git;a=log;h=master

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> ab308f0
- flac rebuild

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> c0d441c
- rediff gcc43 patch

* Fri Nov 27 2020 Jakub Bogusz <qboosh@pld-linux.org> ab21498
- mpeg4ip patch replaced by mp4v2 patch (port to mp4v2 3.0.x API), enable mp4v2; release 21

* Tue Nov 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 313e4f3
- fix shebang, release 20 (rebuild without libcurl.la, libmusicbrainz.la)

* Thu May 05 2016 Jan Rękorajski <baggins@pld-linux.org> d47d7c7
- use rpm python macros
- rel 19

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 019c083
- release 18 (by relup.sh)

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 37dfb8e
- x32 rebuild
- release 17 (by relup.sh)

* Thu Feb 14 2013 Jan Rękorajski <baggins@pld-linux.org> 6e529ff
- bcond didsable mp4 support (needs porting to standalone mp4v2)
- rel 16

* Mon Feb 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 02d533b
- release 15 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> a8e9a4e
- rebuild with expat 2.1.0
- release 14 (by relup.sh)

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2632625
- release 13

* Tue Aug 25 2009 Elan Ruusamäe <glen@pld-linux.org> e5acd9f
- add gcc44.patch

* Tue Aug 25 2009 Elan Ruusamäe <glen@pld-linux.org> 14cee36
- release 12 (-lgssapi_krb5 unpoison rebuild)

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> 284c170
- release 11

* Sun Sep 07 2008 Adam Gołębiowski <adamg@pld-linux.org> ca79ad9
- release 10 (against libltdl-2.2.6-1)

* Wed Jul 02 2008 Szymon Siwek <sls@pld-linux.org> 1e0007f
- added gcc43.patch

* Wed Jul 02 2008 Szymon Siwek <sls@pld-linux.org> 4be6560
- stolen from Fedora (libtunepimp-0.5.3-gcc43.patch)

* Sat Jun 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> be48957
- rel 9

* Fri May 23 2008 Paweł Sikora <pluto@pld-linux.org> c41f0aa
- fix build with new libltdl, release 8.

* Tue Feb 19 2008 Elan Ruusamäe <glen@pld-linux.org> 0c3e412
- ghost soname symlink

